{-# Language NoMonomorphismRestriction #-}

module Paths
    (
      module Path,
      module Path.IO,
      module System.FilePath,
      AbsDir,
      AbsFile,
      RelDir,
      RelFile,
      filePath
    ) where


import Control.Lens (Getter, to)
import Path
import Path.IO
import System.FilePath hiding ((</>), makeRelative)

type AbsDir = Path Abs Dir
type AbsFile = Path Abs File
type RelDir = Path Rel Dir
type RelFile = Path Rel File

filePath ∷ Getter (Path b t) FilePath
filePath = to (toFilePath)
